/*
 * Copyright 2016 Nekhelesh Ramananthan <nik90@ubuntu.com>
 *
 * This file is part of Flashback.
 *
 * Podbird is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * Podbird is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var credentials = {
    trakt_url: 'https://trakt.tv/oauth/token',
    client_id: 'd8abc535527d22bf91ba5ff4501208a4697113aeb1645ec16041eac1621c9222',
    client_secret: 'de666cd45251e3bf9ead6f6f11dfc28148f99c5311b83d2ff7b4a0425d16c07d',
    redirect_uri: 'https://api.github.com/zen'
}

function get_access_token(code) {
    var message = JSON.stringify({code: code, client_id: credentials.client_id, client_secret: credentials.client_secret, redirect_uri: credentials.redirect_uri, grant_type: "authorization_code"})
    request(credentials.trakt_url, message);
}

function request(url, params) {
    var xhr = new XMLHttpRequest;
    var data = params;

    xhr.open("POST", url);
    xhr.setRequestHeader("Content-type", "application/json");

    xhr.onreadystatechange = function() {
        if (xhr.readyState === XMLHttpRequest.DONE) {
            var results = JSON.parse(xhr.responseText);

            flashbackAccountSettings.refresh_token = results.refresh_token
            flashbackAccountSettings.access_token = results.access_token
            flashbackAccountSettings.token_expiry = results.expires_in

            apl.removePages(oauthPage)
        }
    }

    xhr.send(data);
}
